OpenJPEG: opj_codec_private Struct Reference

OpenJPEG 2.5.3

Data Fields
opj_codec_private Struct Reference

Main codec handler used for compression or decompression. More...

`#include <opj_codec.h>`

## Data Fields
union { |
struct opj_decompression { |
OPJ_BOOL(* opj_read_header )(struct opj_stream_private *cio, void *p_codec, opj_image_t **p_image, struct opj_event_mgr *p_manager) |
| Main header reading function handler. More...
OPJ_BOOL(* opj_decode )(void *p_codec, struct opj_stream_private *p_cio, opj_image_t *p_image, struct opj_event_mgr *p_manager) |
| Decoding function. More...
OPJ_BOOL(* opj_read_tile_header )(void *p_codec, OPJ_UINT32 *p_tile_index, OPJ_UINT32 *p_data_size, OPJ_INT32 *p_tile_x0, OPJ_INT32 *p_tile_y0, OPJ_INT32 *p_tile_x1, OPJ_INT32 *p_tile_y1, OPJ_UINT32 *p_nb_comps, OPJ_BOOL *p_should_go_on, struct opj_stream_private *p_cio, struct opj_event_mgr *p_manager) |
| FIXME DOC. More...
OPJ_BOOL(* opj_decode_tile_data )(void *p_codec, OPJ_UINT32 p_tile_index, OPJ_BYTE *p_data, OPJ_UINT32 p_data_size, struct opj_stream_private *p_cio, struct opj_event_mgr *p_manager) |
| FIXME DOC. More...
OPJ_BOOL(* opj_end_decompress )(void *p_codec, struct opj_stream_private *cio, struct opj_event_mgr *p_manager) |
| Reading function used after codestream if necessary. More...
void(* opj_destroy )(void *p_codec) |
| Codec destroy function handler. More...
void(* opj_setup_decoder )(void *p_codec, opj_dparameters_t *p_param) |
| Setup decoder function handler. More...
void(* opj_decoder_set_strict_mode )(void *p_codec, OPJ_BOOL strict) |
| Strict mode function handler. More...
OPJ_BOOL(* opj_set_decode_area )(void *p_codec, opj_image_t *p_image, OPJ_INT32 p_start_x, OPJ_INT32 p_end_x, OPJ_INT32 p_start_y, OPJ_INT32 p_end_y, struct opj_event_mgr *p_manager) |
| Set decode area function handler. More...
OPJ_BOOL(* opj_get_decoded_tile )(void *p_codec, opj_stream_private_t *p_cio, opj_image_t *p_image, struct opj_event_mgr *p_manager, OPJ_UINT32 tile_index) |
| Get tile function. More...
OPJ_BOOL(* opj_set_decoded_resolution_factor )(void *p_codec, OPJ_UINT32 res_factor, opj_event_mgr_t *p_manager) |
| Set the decoded resolution factor. More...
OPJ_BOOL(* opj_set_decoded_components )(void *p_codec, OPJ_UINT32 num_comps, const OPJ_UINT32 *comps_indices, opj_event_mgr_t *p_manager) |
| Set the decoded components. More...
} m_decompression |
struct opj_compression { |
OPJ_BOOL(* opj_start_compress )(void *p_codec, struct opj_stream_private *cio, struct opj_image *p_image, struct opj_event_mgr *p_manager) |
OPJ_BOOL(* opj_encode )(void *p_codec, struct opj_stream_private *p_cio, struct opj_event_mgr *p_manager) |
OPJ_BOOL(* opj_write_tile )(void *p_codec, OPJ_UINT32 p_tile_index, OPJ_BYTE *p_data, OPJ_UINT32 p_data_size, struct opj_stream_private *p_cio, struct opj_event_mgr *p_manager) |
OPJ_BOOL(* opj_end_compress )(void *p_codec, struct opj_stream_private *p_cio, struct opj_event_mgr *p_manager) |
void(* opj_destroy )(void *p_codec) |
OPJ_BOOL(* opj_setup_encoder )(void *p_codec, opj_cparameters_t *p_param, struct opj_image *p_image, struct opj_event_mgr *p_manager) |
OPJ_BOOL(* opj_encoder_set_extra_options )(void *p_codec, const char *const *p_options, struct opj_event_mgr *p_manager) |
} m_compression |
} | m_codec_data |
| FIXME DOC.
void * | m_codec
| FIXME DOC.
opj_event_mgr_t | m_event_mgr
| Event handler.
OPJ_BOOL | is_decompressor
| Flag to indicate if the codec is used to decode or encode.
void(* | opj_dump_codec )(void *p_codec, OPJ_INT32 info_flag, FILE *output_stream)
opj_codestream_info_v2_t *(* | opj_get_codec_info )(void *p_codec)
opj_codestream_index_t *(* | opj_get_codec_index )(void *p_codec)
OPJ_BOOL(* | opj_set_threads )(void *p_codec, OPJ_UINT32 num_threads)
| Set number of threads.

## Detailed Description

Main codec handler used for compression or decompression.

## Field Documentation

## ◆ is_decompressor

OPJ_BOOL opj_codec_private::is_decompressor

Flag to indicate if the codec is used to decode or encode.

Referenced by opj_create_compress(), opj_create_decompress(), opj_decode(), opj_decode_tile_data(), opj_decoder_set_strict_mode(), opj_destroy_codec(), opj_encode(), opj_encoder_set_extra_options(), opj_end_compress(), opj_end_decompress(), opj_get_decoded_tile(), opj_read_header(), opj_read_tile_header(), opj_set_decode_area(), opj_set_decoded_components(), opj_setup_decoder(), opj_setup_encoder(), opj_start_compress(), and opj_write_tile().

## ◆ m_codec

void* opj_codec_private::m_codec

FIXME DOC.

Referenced by opj_codec_set_threads(), opj_create_compress(), opj_create_decompress(), opj_decode(), opj_decode_tile_data(), opj_decoder_set_strict_mode(), opj_destroy_codec(), opj_dump_codec(), opj_encode(), opj_encoder_set_extra_options(), opj_end_compress(), opj_end_decompress(), opj_get_cstr_index(), opj_get_cstr_info(), opj_get_decoded_tile(), opj_read_header(), opj_read_tile_header(), opj_set_decode_area(), opj_set_decoded_components(), opj_set_decoded_resolution_factor(), opj_setup_decoder(), opj_setup_encoder(), opj_start_compress(), and opj_write_tile().

## ◆ [union]

union { ... } opj_codec_private::m_codec_data

FIXME DOC.

Referenced by opj_create_compress(), opj_create_decompress(), opj_decode(), opj_decode_tile_data(), opj_decoder_set_strict_mode(), opj_destroy_codec(), opj_encode(), opj_encoder_set_extra_options(), opj_end_compress(), opj_end_decompress(), opj_get_decoded_tile(), opj_read_header(), opj_read_tile_header(), opj_set_decode_area(), opj_set_decoded_components(), opj_set_decoded_resolution_factor(), opj_setup_decoder(), opj_setup_encoder(), opj_start_compress(), and opj_write_tile().

## ◆ [struct]

struct { ... } ::opj_compression opj_codec_private::m_compression

Referenced by opj_create_compress(), opj_destroy_codec(), opj_encode(), opj_encoder_set_extra_options(), opj_end_compress(), opj_setup_encoder(), opj_start_compress(), and opj_write_tile().

## ◆ [struct]

struct { ... } ::opj_decompression opj_codec_private::m_decompression

Referenced by opj_create_decompress(), opj_decode(), opj_decode_tile_data(), opj_decoder_set_strict_mode(), opj_destroy_codec(), opj_end_decompress(), opj_get_decoded_tile(), opj_read_header(), opj_read_tile_header(), opj_set_decode_area(), opj_set_decoded_components(), opj_set_decoded_resolution_factor(), and opj_setup_decoder().

## ◆ m_event_mgr

opj_event_mgr_t opj_codec_private::m_event_mgr

Event handler.

Referenced by opj_create_compress(), opj_create_decompress(), opj_decode(), opj_decode_tile_data(), opj_decoder_set_strict_mode(), opj_encode(), opj_encoder_set_extra_options(), opj_end_compress(), opj_end_decompress(), opj_get_decoded_tile(), opj_read_header(), opj_read_tile_header(), opj_set_decode_area(), opj_set_decoded_components(), opj_set_decoded_resolution_factor(), opj_set_error_handler(), opj_set_info_handler(), opj_set_warning_handler(), opj_setup_decoder(), opj_setup_encoder(), opj_start_compress(), and opj_write_tile().

## ◆ opj_decode

OPJ_BOOL(* opj_codec_private::opj_decode) (void *p_codec, struct opj_stream_private *p_cio, opj_image_t *p_image, struct opj_event_mgr *p_manager)

Decoding function.

## ◆ opj_decode_tile_data

OPJ_BOOL(* opj_codec_private::opj_decode_tile_data) (void *p_codec, OPJ_UINT32 p_tile_index, OPJ_BYTE *p_data, OPJ_UINT32 p_data_size, struct opj_stream_private *p_cio, struct opj_event_mgr *p_manager)

FIXME DOC.

## ◆ opj_decoder_set_strict_mode

void(* opj_codec_private::opj_decoder_set_strict_mode) (void *p_codec, OPJ_BOOL strict)

Strict mode function handler.

## ◆ opj_destroy

void(* opj_codec_private::opj_destroy) (void *p_codec)

Codec destroy function handler.

## ◆ opj_dump_codec

void(* opj_codec_private::opj_dump_codec) (void *p_codec, OPJ_INT32 info_flag, FILE *output_stream)

Referenced by opj_create_decompress(), and opj_dump_codec().

## ◆ opj_encode

OPJ_BOOL(* opj_codec_private::opj_encode) (void *p_codec, struct opj_stream_private *p_cio, struct opj_event_mgr *p_manager)

## ◆ opj_encoder_set_extra_options

OPJ_BOOL(* opj_codec_private::opj_encoder_set_extra_options) (void *p_codec, const char *const *p_options, struct opj_event_mgr *p_manager)

## ◆ opj_end_compress

OPJ_BOOL(* opj_codec_private::opj_end_compress) (void *p_codec, struct opj_stream_private *p_cio, struct opj_event_mgr *p_manager)

## ◆ opj_end_decompress

OPJ_BOOL(* opj_codec_private::opj_end_decompress) (void *p_codec, struct opj_stream_private *cio, struct opj_event_mgr *p_manager)

Reading function used after codestream if necessary.

## ◆ opj_get_codec_index

opj_codestream_index_t *(* opj_codec_private::opj_get_codec_index) (void *p_codec)

Referenced by opj_create_decompress(), and opj_get_cstr_index().

## ◆ opj_get_codec_info

opj_codestream_info_v2_t *(* opj_codec_private::opj_get_codec_info) (void *p_codec)

Referenced by opj_create_decompress(), and opj_get_cstr_info().

## ◆ opj_get_decoded_tile

OPJ_BOOL(* opj_codec_private::opj_get_decoded_tile) (void *p_codec, opj_stream_private_t *p_cio, opj_image_t *p_image, struct opj_event_mgr *p_manager, OPJ_UINT32 tile_index)

Get tile function.

## ◆ opj_read_header

OPJ_BOOL(* opj_codec_private::opj_read_header) (struct opj_stream_private *cio, void *p_codec, opj_image_t **p_image, struct opj_event_mgr *p_manager)

Main header reading function handler.

## ◆ opj_read_tile_header

OPJ_BOOL(* opj_codec_private::opj_read_tile_header) (void *p_codec, OPJ_UINT32 *p_tile_index, OPJ_UINT32 *p_data_size, OPJ_INT32 *p_tile_x0, OPJ_INT32 *p_tile_y0, OPJ_INT32 *p_tile_x1, OPJ_INT32 *p_tile_y1, OPJ_UINT32 *p_nb_comps, OPJ_BOOL *p_should_go_on, struct opj_stream_private *p_cio, struct opj_event_mgr *p_manager)

FIXME DOC.

## ◆ opj_set_decode_area

OPJ_BOOL(* opj_codec_private::opj_set_decode_area) (void *p_codec, opj_image_t *p_image, OPJ_INT32 p_start_x, OPJ_INT32 p_end_x, OPJ_INT32 p_start_y, OPJ_INT32 p_end_y, struct opj_event_mgr *p_manager)

Set decode area function handler.

## ◆ opj_set_decoded_components

OPJ_BOOL(* opj_codec_private::opj_set_decoded_components) (void *p_codec, OPJ_UINT32 num_comps, const OPJ_UINT32 *comps_indices, opj_event_mgr_t *p_manager)

Set the decoded components.

## ◆ opj_set_decoded_resolution_factor

OPJ_BOOL(* opj_codec_private::opj_set_decoded_resolution_factor) (void *p_codec, OPJ_UINT32 res_factor, opj_event_mgr_t *p_manager)

Set the decoded resolution factor.

## ◆ opj_set_threads

OPJ_BOOL(* opj_codec_private::opj_set_threads) (void *p_codec, OPJ_UINT32 num_threads)

Set number of threads.

Referenced by opj_codec_set_threads(), opj_create_compress(), and opj_create_decompress().

## ◆ opj_setup_decoder

void(* opj_codec_private::opj_setup_decoder) (void *p_codec, opj_dparameters_t *p_param)

Setup decoder function handler.

## ◆ opj_setup_encoder

OPJ_BOOL(* opj_codec_private::opj_setup_encoder) (void *p_codec, opj_cparameters_t *p_param, struct opj_image *p_image, struct opj_event_mgr *p_manager)

## ◆ opj_start_compress

OPJ_BOOL(* opj_codec_private::opj_start_compress) (void *p_codec, struct opj_stream_private *cio, struct opj_image *p_image, struct opj_event_mgr *p_manager)

## ◆ opj_write_tile

OPJ_BOOL(* opj_codec_private::opj_write_tile) (void *p_codec, OPJ_UINT32 p_tile_index, OPJ_BYTE *p_data, OPJ_UINT32 p_data_size, struct opj_stream_private *p_cio, struct opj_event_mgr *p_manager)

The documentation for this struct was generated from the following file:

- opj_codec.h